Bug 1007200 - [abrt] qucs-0.0.17-1.fc20: __assert_fail_base: Process /usr/bin/qucsator was killed by signal 6 (SIGABRT)
[abrt] qucs-0.0.17-1.fc20: __assert_fail_base: Process /usr/bin/qucsator was ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: qucs (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaromír Cápík
Fedora Extras Quality Assurance
abrt_hash:8a080fcc1e7ade4f90b83b833e6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-12 01:53 EDT by Brallan Jesús Aguilar Rivera
Modified: 2016-01-31 20:59 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:26:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: 033.sch (2.38 KB, text/plain)
2013-09-12 01:53 EDT, Brallan Jesús Aguilar Rivera
no flags Details
File: backtrace (3.67 KB, text/plain)
2013-09-12 01:53 EDT, Brallan Jesús Aguilar Rivera
no flags Details
File: cgroup (140 bytes, text/plain)
2013-09-12 01:53 EDT, Brallan Jesús Aguilar Rivera
no flags Details
File: core_backtrace (3.31 KB, text/plain)
2013-09-12 01:53 EDT, Brallan Jesús Aguilar Rivera
no flags Details
File: dso_list (466 bytes, text/plain)
2013-09-12 01:53 EDT, Brallan Jesús Aguilar Rivera
no flags Details
File: environ (1.83 KB, text/plain)
2013-09-12 01:53 EDT, Brallan Jesús Aguilar Rivera
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-12 01:53 EDT, Brallan Jesús Aguilar Rivera
no flags Details
File: maps (1.73 KB, text/plain)
2013-09-12 01:53 EDT, Brallan Jesús Aguilar Rivera
no flags Details
File: open_fds (152 bytes, text/plain)
2013-09-12 01:53 EDT, Brallan Jesús Aguilar Rivera
no flags Details
File: proc_pid_status (787 bytes, text/plain)
2013-09-12 01:53 EDT, Brallan Jesús Aguilar Rivera
no flags Details
File: var_log_messages (314 bytes, text/plain)
2013-09-12 01:53 EDT, Brallan Jesús Aguilar Rivera
no flags Details

  None (edit)
Description Brallan Jesús Aguilar Rivera 2013-09-12 01:53:06 EDT
Description of problem:
I was simulating a circuit a circuit with a switch. When I choose transient simulation and edited their type from linear to logarithmic (for curiosity) I got an error. Qucs didn't crash, but appear a warning simulation.

Version-Release number of selected component:
qucs-0.0.17-1.fc20

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/bin/qucsator -b -g -i /home/brallan/.qucs/netlist.txt -o /home/brallan/qucs/033.dat
crash_function: __assert_fail_base
executable:     /usr/bin/qucsator
kernel:         3.10.10-200.fc19.i686.PAE
runlevel:       N 5
uid:            1000

Truncated backtrace:
[New LWP 15813]
Core was generated by `/usr/bin/qucsator -b -g -i /home/brallan/.qucs/netlist.txt -o /home/brallan/quc'.
Program terminated with signal 6, Aborted.
#0  0xb7707424 in __kernel_vsyscall ()

Thread 1 (LWP 15813):
#0  0xb7707424 in __kernel_vsyscall ()
No symbol table info available.
#1  0x4f2da936 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:56
        resultvar = <optimized out>
        resultvar = <optimized out>
        pid = 1330016256
        selftid = 15813
#2  0x4f2dc173 in __GI_abort () at abort.c:90
        save_stage = 2
        act = {__sigaction_handler = {sa_handler = 0x0, sa_sigaction = 0x0}, sa_mask = {__val = {0, 1328370958, 1329637427, 1330020676, 1328367536, 0, 3218538563, 137985640, 4294967295, 1328682677, 1329732622, 1330016256, 3218551408, 1328675408, 4, 1330020676, 1328478379, 1330016256, 1329736632, 1330017312, 4224, 1, 1330018656, 1329736632, 3218551448, 1330016256, 1329728445, 1330016256, 1330018656, 0, 3, 4096}}, sa_flags = 1329191400, sa_restorer = 0x4f2dc038 <__GI_abort+8>}
        sigs = {__val = {32, 0 <repeats 31 times>}}
#3  0x4f2d39d7 in __assert_fail_base (fmt=0x4f423bd8 "%s%s%s:%u: %s%sAssertion `%s' failed.\n%n", assertion=assertion@entry=0x8397aea "start * stop > 0", file=file@entry=0x83908a5 "vector.cpp", line=line@entry=951, function=function@entry=0x8397bc0 "vector logspace(double, double, int)") at assert.c:92
        str = 0xa04d258 "qucsator: vector.cpp:951: vector logspace(double, double, int): Assertion `start * stop > 0' failed.\n"
        total = 4096
#4  0x4f2d3a87 in __GI___assert_fail (assertion=0x8397aea "start * stop > 0", file=0x83908a5 "vector.cpp", line=951, function=0x8397bc0 "vector logspace(double, double, int)") at assert.c:101
No locals.
#5  0x080bc06f in logspace(double, double, int) ()
No symbol table info available.
#6  0x080d32ff in logsweep::create(double, double, int) ()
No symbol table info available.
#7  0x08056054 in analysis::createSweep(char const*) ()
No symbol table info available.
#8  0x0809d5db in trsolver::initSteps() ()
No symbol table info available.
#9  0x0809f2c5 in trsolver::solve() ()
No symbol table info available.
#10 0x08054eb8 in net::runAnalysis(int&) ()
No symbol table info available.
#11 0x08049fc0 in main ()
No symbol table info available.
From        To          Syms Read   Shared Object Library
0x4f694e10  0x4f7036e4  Yes         /lib/libstdc++.so.6
0x4f494560  0x4f4bf008  Yes         /lib/libm.so.6
0x4f4f00c0  0x4f505b94  Yes         /lib/libgcc_s.so.1
0x4f2c32d0  0x4f40842c  Yes         /lib/libc.so.6
0x4f289850  0x4f2a213c  Yes         /lib/ld-linux.so.2
$1 = 0xb7703000 ""
No symbol "__glib_assert_msg" in current context.
eax            0x0	0
ecx            0x3dc5	15813
edx            0x6	6
ebx            0x3dc5	15813
esp            0xbfd73144	0xbfd73144
ebp            0xbfd733a0	0xbfd733a0
esi            0xb7703000	-1217384448
edi            0x4f467000	1330016256
eip            0xb7707424	0xb7707424 <__kernel_vsyscall+16>
eflags         0x246	[ PF ZF IF ]
cs             0x73	115
ss             0x7b	123
ds             0x7b	123
es             0x7b	123
fs             0x0	0
gs             0x33	51
Dump of assembler code for function __kernel_vsyscall:
   0xb7707414 <+0>:	push   %ecx
   0xb7707415 <+1>:	push   %edx
   0xb7707416 <+2>:	push   %ebp
   0xb7707417 <+3>:	mov    %esp,%ebp
   0xb7707419 <+5>:	sysenter 
   0xb770741b <+7>:	nop
   0xb770741c <+8>:	nop
   0xb770741d <+9>:	nop
   0xb770741e <+10>:	nop
   0xb770741f <+11>:	nop
   0xb7707420 <+12>:	nop
   0xb7707421 <+13>:	nop
   0xb7707422 <+14>:	int    $0x80
=> 0xb7707424 <+16>:	pop    %ebp
   0xb7707425 <+17>:	pop    %edx
   0xb7707426 <+18>:	pop    %ecx
   0xb7707427 <+19>:	ret    
End of assembler dump.
Comment 1 Brallan Jesús Aguilar Rivera 2013-09-12 01:53:10 EDT
Created attachment 796627 [details]
File: 033.sch
Comment 2 Brallan Jesús Aguilar Rivera 2013-09-12 01:53:14 EDT
Created attachment 796628 [details]
File: backtrace
Comment 3 Brallan Jesús Aguilar Rivera 2013-09-12 01:53:17 EDT
Created attachment 796629 [details]
File: cgroup
Comment 4 Brallan Jesús Aguilar Rivera 2013-09-12 01:53:20 EDT
Created attachment 796630 [details]
File: core_backtrace
Comment 5 Brallan Jesús Aguilar Rivera 2013-09-12 01:53:24 EDT
Created attachment 796631 [details]
File: dso_list
Comment 6 Brallan Jesús Aguilar Rivera 2013-09-12 01:53:26 EDT
Created attachment 796632 [details]
File: environ
Comment 7 Brallan Jesús Aguilar Rivera 2013-09-12 01:53:30 EDT
Created attachment 796633 [details]
File: limits
Comment 8 Brallan Jesús Aguilar Rivera 2013-09-12 01:53:33 EDT
Created attachment 796634 [details]
File: maps
Comment 9 Brallan Jesús Aguilar Rivera 2013-09-12 01:53:36 EDT
Created attachment 796635 [details]
File: open_fds
Comment 10 Brallan Jesús Aguilar Rivera 2013-09-12 01:53:39 EDT
Created attachment 796636 [details]
File: proc_pid_status
Comment 11 Brallan Jesús Aguilar Rivera 2013-09-12 01:53:42 EDT
Created attachment 796637 [details]
File: var_log_messages
Comment 12 Jaromír Cápík 2013-09-12 10:19:37 EDT
Hello Brallan.

The issue was triggered by the fact, that you kept the start value as 0 and logarithm of zero is undefined. The start and stop time needs to be greater than zero. But I agree, that checking the range with asserts is really the last resort. There should be a check in the input form and some kind of warning needs to be displayed immediately when invalid values are discovered.

I'll try to write a patch for that and submit upstream.

Thanks for the report.

Regards,
Jaromir.
Comment 13 Fedora End Of Life 2015-01-09 17:17:56 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2015-02-18 06:26:48 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.